GuidesRecipesAPI ReferenceChangelog
API Reference

Create Customer

Creates a customer.

Customer Type

Customer resources are an abstraction for real world individuals and businesses on the Cybrid Platform and are used throughout the platform to perform high level operations, e.g., create a quote, execute a trade, etc..

Customers can have additional resources attached to them, e.g., identity verifications, accounts, etc.

State

StateDescription
storingThe Platform is storing the customer details in our private store
unverifiedThe Platform has not yet verified the customer's identity
verifiedThe Platform has verified the customer's identity
rejectedThe Platform was not able to successfully verify the customer's identity
frozenThe customer has been frozen on the Platform

Required scope: customers:execute

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
required

The type of customer.

Allowed:
address
object | null

The customer's address.

string | null

The customer's phone number.

string | null

The customer's email address.

identification_numbers
array of objects | null

The customer's identification numbers.

identification_numbers
string
enum
required

The source of the identification number.

string
required

The ISO 3166 country 2-Alpha country code of the identification number issuer.

string
required

The identification number.

name
object | null

The customer's name. Optional when type is individual or type is business.

date | null

The customer's date of birth. Optional when type is individual.

aliases
array of objects | null

The aliases of the customer. Optional when type is business.

aliases
string | null

The customer's website. Optional when type is business.

labels
array of strings | null

The labels associated with the customer.

labels
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json